Eucalyptus euca2ools.3.0.1 configuration problem solved

Hi all,

I would like to share a problem which I came across configuring euca2ools.3.0.1 on server.

Problem: I was not able to connect to my eucalyptus cloud from server running RHEL 5.7 even after installation euca2ools.3.0.1 from source

[xxxxxx@xxxxx]$euca-describe-instances
Traceback (most recent call last):
File “/euca2ools_3_0_2/bin/euca-register”, line 5, in <module>
pkg_resources.run_script(‘euca2ools==3.0.1’, ‘euca-register’)
File “build/bdist.linux-x86_64/egg/pkg_resources.py”, line 528, in run_script
File “build/bdist.linux-x86_64/egg/pkg_resources.py”, line 1394, in run_script
File “/euca2ools_3_0_2/lib/python2.7/site-packages/euca2ools-3.0.1-py2.7.egg/EGG-INFO/scripts/euca-register”, line 3, in <module>
import euca2ools.commands.euca.registerimage
File “/euca2ools_3_0_2/lib/python2.7/site-packages/euca2ools-3.0.1-py2.7.egg/euca2ools/commands/euca/__init__.py”, line 31, in <module>
from requestbuilder import Arg, MutuallyExclusiveArgList, AUTH, SERVICE
ImportError: cannot import name AUTH

Analyzing: I have installed following packages from tar ball/source code in a custom location using –prefix option from source

  1. python 2.7.5
  2. lxml (http://lxml.de/)
  3. requestbuilder (https://github.com/boto/requestbuilder)
  4. requests (http://www.python-requests.org/)
  5. setuptools (https://pypi.python.org/pypi/setuptools)
  6. six (http://pythonhosted.org/six/)

I have installed all the latest versions. If we can see the error its sure that we have some dependency missing. I googled it but could not find any where.

Solution: I contacted IRC and mailing list and found that “requests” version which I installed was 0.2.0 and it should be uninstalled and oldest version 0.1.0 was installed using pip command which is very useful in uninstalling and installing of python packages.

I need to reconfigure the installation again from source and build the ecua2ools from source. I was able to then run the euca2ools perfectly.

Thanks for irc #eucalyptus and users mailing list of eucalyptus !!

2 thoughts on “Eucalyptus euca2ools.3.0.1 configuration problem solved

  1. thanks a lot. i ran the same error installing euca2ools Sparta version.
    Seriously, the guys at eucalytus are some awesome genius..
    they helped me through IRC and it finally worked..
    so i was on mac, and they suggested me installing from brew : brew install euca2ools
    Please dont try pip if you are on mac, especially for euca2ools
    here is how to fix it:STEPS:

    sudo pip uninstall euca2ools
    sudo rm -rf /usr/local/euca-*
    now do installing from brew: brew install euca2ools
    it takes some time
    read carefully the installation output..
    after installation is done , if you see a red color ERROR folowed by : Error: The `brew link` step did not complete successfully The formula built, but is not symlinked into /usr/local
    FIX : run this : brew link –overwrite euca2ools
    this should solve the miseries and agonies of all errors.
    another important thing: after you install euca2ools, you probably wana source your ENV varialbes.
    now: guys at eucalyptus cautioned me, EC2_ACCESS_KEY and EC2_SECRET_KEY are deprecated..
    please rename them to: change EC2_ACCESS_KEY to AWS_ACCESS_KEY and AWS_ACCESS_KEY_ID(remember both should have same value) and ec2-secret-key to AWS_SECRET_KEY and AWS_SECRET_KEY_ID
    now install older version of requests

  2. my bad..typo in last sentence…no need to install older version of requests…
    let me break it down for you
    just simply do this for MAC:
    brew install euca2ools
    brew link –overwrite euca2ools
    run : euca-version
    it should show 0mega
    now change the ENV variables like i said before..
    cheers 🙂

Leave a Reply

Your email address will not be published. Required fields are marked *